### Signal

# WebKit2WebExtension WebFormManager::form-controls-associated

#### Declaration

    void
    form_controls_associated (
      WebKitWebFormManager* self,
      WebKitFrame* frame,
      JSCValue** elements,
      gpointer user_data
    )

#### Description [src]

Emitted after form elements (or form associated elements) are associated to `frame`. This is useful to implement form auto filling for web pages where form fields are added dynamically. This signal might be emitted multiple times for the same frame.

Note that this signal could be also emitted when form controls are moved between forms. In that case, the `elements` array carries the list of those elements which have moved.

Clients should take a reference to the members of the `elements` array if it is desired to keep them alive after the signal handler returns.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 2.40

#### Parameters

`frame` | `WebKitFrame`
| A `WebKitFrame`.
| The data is owned by the caller of the function.
`elements` | An array of `JSCValue*`
| A `GPtrArray` of `JSCValue` with the list of forms in the page.
| The data is owned by the caller of the function.